# Module `druid_event`

Lua event small library

## Functions

Event(initial_callback) | Event constructur
event:subscribe(callback) | Subscribe callback on event
event:unsubscribe(callback) | Unsubscribe callback on event
event:is_exist() | Return true, if event have at lease one handler
event:clear() | Clear the all event handlers
event:trigger(...) | Trigger the event and call all subscribed callbacks

## Functions

Event(initial_callback)
  Event constructur

  ### Parameters:

  - initial_callback function Subscribe the callback on new event, if callback exist
event:subscribe(callback)
  Subscribe callback on event

  ### Parameters:

  - callback function Callback itself
event:unsubscribe(callback)
  Unsubscribe callback on event

  ### Parameters:

  - callback function Callback itself
event:is_exist()
  Return true, if event have at lease one handler

  ### Returns:

  bool True if event have handlers
event:clear()
  Clear the all event handlers
event:trigger(...)
  Trigger the event and call all subscribed callbacks

  ### Parameters:

  - ... All event params

generated by LDoc 1.4.6 Last updated 2020-04-17 20:13:54